function d4(cb){	
	_g('s_time').onclick=function(){showCalendar('s_time','e_time',null,null,null,cb)};
	_g('e_time').onclick=function(){showCalendar('e_time',null,null,null,null,cb)};
	if(_g('img_time1')&&_g('img_time2')){_g('img_time1').onclick=_g('s_time').onclick;_g('img_time2').onclick=_g('e_time').onclick}
	_g('time').onclick=function(){showCalendar('time',null,null,null,null,cb)};
};


function c0(){
	if(_g('s_time').value==''){alert('请输入开始时间');_g('s_time').onclick();return false}
	if(_g('e_time').value==''){alert('请输入结束时间');_g('e_time').onclick();return false}
	if(sToDate(_g('e_time').value)<=sToDate(_g('s_time').value)){alert('日期有误:结束时间不能小于或等于开始时间！');return false}
	return true
} 
 




 function sToDate(sDate){
		var ds = sDate.toString().split("-")
		return (new Date(parseFloat(ds[0]),parseFloat(ds[1])-1,parseFloat(ds[2])))
} 
 
function gL(x){
	var l=0;
	while(x){
		l+=x.offsetLeft;
		x=x.offsetParent;
	}
	return l
};
function gT(x){
	var t=0;
	while(x){
		t+=x.offsetTop;
		x=x.offsetParent;
	}
	return t
};
function _g(id){return document.getElementById(id)};

document.write('<iframe id=CalFrame name=CalFrame frameborder=0 src="/inc/calendar/calendar.htm" style=display:none;position:absolute;z-index:100></iframe>');
//document.onclick=hideCalendar;
function showCalendar(sInputName,sNextD,sStartD,sEndD,sStartDate,sCallback)
{	
	//1.sInputName取得日期的控件名称,		
	//2.sNextD选取日期后新日历弹出从中取值的控件名称,可不输入,	
	//3.sStartD开始有效时间,
	//4.sEndD截至有效时间,	
	//5.sStartDate,弹出日历默认日期
	//6.sCallback
	var oInputname,oStartdate;
	var CFrame=document.getElementById("CalFrame");
	var WCFrame=window.frames.CalFrame;
	if(!sInputName){alert("输入控件未指定！"+sInputName);return;}
	oInputname=document.getElementById(sInputName);
	if(!oInputname){alert("输入控件不存在！");return;}
	if(oInputname.tagName!="INPUT"||oInputname.type!="text"){alert("输入控件类型错误！");return;}
	if(sStartDate)
	{
		oStartdate=document.getElementById(sStartDate);
		if(!oStartdate){alert("参考控件不存在！");return;}
		if(oStartdate.tagName!="INPUT"||(oStartdate.type!="text"&&oStartdate.type!="hidden")){alert("参考控件类型错误！");return;}
	}
	if(!WCFrame.bCalLoaded){alert("日历未成功装载！请刷新页面！");return;}
	WCFrame.n_textdate=sNextD;
	WCFrame.startdate=sStartD;
	WCFrame.enddate=sEndD;
	WCFrame.vailidday=null;//周几有效
	WCFrame.oddeven=null;//单双日有效,'0'表示双日,'1'表示单日
	WCFrame.vailiddate=null;//特殊日期,例如'2004-10-11,2004-11-20,',最后一定要输入','
	WCFrame.objecttype=null;//直接在文本框中点击'text'
	WCFrame.thirdfocus=null;//下一个日历弹出并选择后点取日期后定位到新的控件
	if(CFrame.style.display=="block"){CFrame.style.display="none";return;}
	CFrame.style.left=gL(oInputname)+'px';
	CFrame.style.top=(gT(oInputname)+22)+'px';	
	WCFrame.oFont=false;
	WCFrame.oInputname=oInputname;
	WCFrame.oStartdate=oStartdate;
	WCFrame.callback=sCallback;
	WCFrame.initCalendar();
	CFrame.style.display="block";
}
function hideCalendar()
{
	var CFrame=document.getElementById("CalFrame");
	CFrame.style.display="none";
}